# coding=utf-8
import locale

BOOL_CHOICES = ((True, 'Yes'), (False, 'No'))
SEX_CHOICES_MALE = 'M'
SEX_CHOICES_FEMALE = 'F'
SEX_CHOICES = (
    (SEX_CHOICES_MALE, 'Male'),
    (SEX_CHOICES_FEMALE, 'Female'),
)
SUBJECT_TYPE_CHOICES_CONTROL = 'C'
SUBJECT_TYPE_CHOICES_PATIENT = 'P'
SUBJECT_TYPE_CHOICES = {
    SUBJECT_TYPE_CHOICES_CONTROL: 'CONTROL',
    SUBJECT_TYPE_CHOICES_PATIENT: 'PATIENT',
}
SCREENING_NUMBER_PREFIXES_FOR_TYPE = {
    SUBJECT_TYPE_CHOICES_CONTROL: "L",
    SUBJECT_TYPE_CHOICES_PATIENT: "P",
}

APPOINTMENT_TYPE_DEFAULT_COLOR = '#cfc600'
APPOINTMENT_TYPE_DEFAULT_FONT_COLOR = '#00000'

CONTACT_TYPES_EMAIL = 'E'
CONTACT_TYPES_PHONE = 'P'
CONTACT_TYPES_SMS = 'S'
CONTACT_TYPES_FAX = 'X'
CONTACT_TYPES_FACE2FACE = 'F'

CONTACT_TYPES_CHOICES = (
    (CONTACT_TYPES_EMAIL, 'Email'),
    (CONTACT_TYPES_FACE2FACE, 'Face to face'),
    (CONTACT_TYPES_FAX, 'Fax'),
    (CONTACT_TYPES_PHONE, 'Phone'),
    (CONTACT_TYPES_SMS, 'SMS'),
)

CANCELLED_APPOINTMENT_COLOR_CONFIGURATION_TYPE = "CANCELLED_APPOINTMENT_COLOR"
NO_SHOW_APPOINTMENT_COLOR_CONFIGURATION_TYPE = "NO_SHOW_APPOINTMENT_COLOR"

KIT_RECIPIENT_EMAIL_CONFIGURATION_TYPE = "KIT_RECIPIENT_EMAIL_CONFIGURATION_TYPE"
KIT_EMAIL_HOUR_CONFIGURATION_TYPE = "KIT_DAILY_EMAIL_HOUR_CONFIGURATION_TYPE"
KIT_EMAIL_DAY_OF_WEEK_CONFIGURATION_TYPE = "KIT_EMAIL_DAY_OF_WEEK_CONFIGURATION_TYPE"

MAIL_TEMPLATE_CONTEXT_SUBJECT = 'S'
MAIL_TEMPLATE_CONTEXT_APPOINTMENT = 'A'
MAIL_TEMPLATE_CONTEXT_VISIT = 'V'

MAIL_TEMPLATE_CONTEXT_CHOICES = (
    (MAIL_TEMPLATE_CONTEXT_APPOINTMENT, 'Appointment'),
    (MAIL_TEMPLATE_CONTEXT_SUBJECT, 'Subject'),
    (MAIL_TEMPLATE_CONTEXT_VISIT, 'Visit'),
)
LOCALE_CHOICES = [(value, value) for value in sorted(locale.windows_locale.values())]
