from django.test import TestCase

from functions import create_subject
from functions import create_visit
from web.models import Visit


class VisitModelTests(TestCase):
    def test_mark_as_finished(self):
        subject = create_subject()
        visit = create_visit(subject)

        visit.mark_as_finished()

        visit_count = Visit.objects.filter(subject=subject).count()
        self.assertEquals(2, visit_count)

    def test_mark_as_finished_2(self):
        subject = create_subject()
        visit = create_visit(subject)
        subject.dead = True
        subject.save()

        visit.mark_as_finished()

        visit_count = Visit.objects.filter(subject=subject).count()
        self.assertEquals(1, visit_count)

    def test_mark_as_finished_3(self):
        subject = create_subject()
        visit = create_visit(subject)
        subject.resigned = True
        subject.save()

        visit.mark_as_finished()

        visit_count = Visit.objects.filter(subject=subject).count()
        self.assertEquals(1, visit_count)
